Subject: New Reply Received - No any one of the person call me if he call why he delivery for wrong adres and I order 3 times u wa...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 01 May 2021 13:45:06 +0000

Hi Algaili Abdelbagee Ahmed,  The customer has responded to the ticket.  No any one of the person call me if he call why he delivery for wrong adres and I order 3 times u wa...  Ticket comment <div>I purches that in discount rate how can I order agine with same price becouse it's no more discount on Centerpoint</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2486852